<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Ausgaben\SammelSms\AnDozenten;

class SammelSmsUseCase extends \Kufer\KuferTools\Ausgaben\SammelSms\SammelSmsUseCase
{
  
  protected function getKontakte()
  {
    if (!empty($this->request->knr) && is_array($this->request->dozNummern)) {
      return $this->sendPreparer->getDozenten($this->request->knr, $this->sendPreparer->getIdsFromRequest($this->request->dozNummern));
    } else {
      \Logger::logg(' Fehler beim SMS Versand: knr oder DozNummern nicht besetzt. ', 41);

      throw new \Exception('Fehler beim Versenden der SMS an die Dozenten');
    }
  }

  
}

class SammelSmsRequest
{
  public $knr;
  public $dozNummern = array();
}